vim.opt.wrap            = true
vim.opt.linebreak       = true
vim.opt.breakindent     = true
vim.opt.breakindentopt 	= {'shift:2', 'sbr'}
vim.opt.showbreak       = ' >'

vim.opt.number          = true
vim.opt.relativenumber 	= true
vim.opt.encoding        = "utf-8"

-- search
vim.opt.hlsearch        = true
vim.opt.ignorecase 		  = true
vim.opt.smartcase 		  = true

-- indentation
vim.opt.smarttab        = true
vim.opt.expandtab       = false
vim.opt.copyindent      = true
vim.opt.preserveindent 	= true
vim.opt.tabstop         = 2
vim.opt.shiftwidth      = 2
vim.opt.softtabstop     = 0

vim.api.nvim_create_autocmd('FileType', {
  pattern = { "*.py" },
  callback = function()
    vim.opt.expandtab  = true
    vim.opt.tabstop    = 4
    vim.opt.shiftwidth = 4
  end
})
